Page MenuHomePhabricator

Deploy lazy loaded images, lazy loaded images + references to a couple larger wikis
Closed, ResolvedPublic1 Story Points

Description

  • Deploy lazy loaded images to the large Japanese Wikipedia (ja.m.wikipedia)
  • Deploy lazy loaded references and lazy loaded images to the medium sized Thai Wikipedia (th.m.wikipedia.org) - 11th July 2016 at earliest.

{

1Large size wikis (>= 9 digit figures):
2{code: "en", size: 7398000000}
3{code: "es", size: 1233000000}
4{code: "ja", size: 1073000000}
5{code: "de", size: 1003000000}
6{code: "ru", size: 947000000}
7{code: "fr", size: 752000000}
8{code: "it", size: 518000000}
9{code: "pt", size: 376000000}
10{code: "zh", size: 334000000}
11{code: "pl", size: 255000000}
12{code: "ar", size: 157000000}
13{code: "tr", size: 155000000}
14{code: "nl", size: 142000000}
15{code: "id", size: 130000000}
16
17MEDIUM SIZED WIKIS (8 digit figures)
18{code: "sv", size: 90900000}
19{code: "ko", size: 84300000}
20{code: "fa", size: 82800000} *
21{code: "cs", size: 69100000}
22{code: "fi", size: 63000000}
23{code: "vi", size: 51700000}
24{code: "uk", size: 49900000} *
25{code: "hu", size: 44000000}
26{code: "he", size: 42900000}
27{code: "th", size: 37300000}
28{code: "no", size: 32900000}
29{code: "da", size: 28400000}
30{code: "ro", size: 28000000}
31{code: "el", size: 22600000}
32{code: "bg", size: 20900000}
33{code: "sr", size: 19100000}
34{code: "hr", size: 17500000}
35{code: "kk", size: 14200000}
36{code: "ca", size: 14000000}
37{code: "sk", size: 12900000}
38{code: "simple", size: 12800000}
39
40SMALL WIKIS (<7 digit figures)
41{code: "hi", size: 9700000}
42{code: "lt", size: 9500000}
43{code: "ms", size: 8100000}
44{code: "az", size: 6800000}
45{code: "et", size: 6800000}
46{code: "sh", size: 6700000}
47{code: "sl", size: 6600000}
48{code: "bn", size: 5300000} *
49{code: "ka", size: 5000000}
50{code: "hy", size: 4099999.9999999995}
51{code: "lv", size: 4000000}
52{code: "sq", size: 3900000}
53{code: "bs", size: 3500000}
54{code: "mk", size: 3200000}
55{code: "arz", size: 2800000}
56{code: "ta", size: 2800000}
57{code: "ml", size: 2700000}
58{code: "eu", size: 2500000}
59{code: "tl", size: 2500000}
60{code: "ur", size: 2400000}
61{code: "mr", size: 2300000}
62{code: "zh-yue", size: 2300000}
63{code: "be", size: 1800000}
64{code: "af", size: 1700000}
65{code: "gl", size: 1700000}
66{code: "eo", size: 1500000}
67{code: "nn", size: 1400000}
68{code: "kn", size: 1200000}
69{code: "is", size: 1100000}
70{code: "gu", size: 1100000}
71{code: "uz", size: 1000000}
72{code: "te", size: 1000000}
73{code: "mn", size: 992000}
74{code: "la", size: 959000}
75{code: "sw", size: 890000}
76{code: "wuu", size: 871000}
77{code: "pa", size: 853000}
78{code: "ce", size: 803000}
79{code: "csb", size: 782000}
80{code: "ky", size: 771000}
81{code: "tt", size: 752000}
82{code: "ba", size: 668000}
83{code: "my", size: 635000}
84{code: "sah", size: 613000}
85{code: "cv", size: 609000}
86{code: "su", size: 594000}
87{code: "an", size: 572000}
88{code: "lb", size: 570000}
89{code: "cy", size: 553000}
90{code: "jv", size: 552000}
91{code: "als", size: 550000}
92{code: "sco", size: 503000}
93{code: "br", size: 502000}
94{code: "ckb", size: 501000}
95{code: "ig", size: 490000}
96{code: "oc", size: 480000}
97{code: "war", size: 465000}
98{code: "yi", size: 464000}
99{code: "udm", size: 453000}
100{code: "si", size: 446000}
101{code: "ne", size: 442000}
102{code: "zh-min-nan", size: 430000}
103{code: "ast", size: 417000}
104{code: "am", size: 412000}
105{code: "bar", size: 408000}
106{code: "ga", size: 407000}
107{code: "ceb", size: 406000}
108{code: "ps", size: 396000}
109{code: "so", size: 383000}
110{code: "mhr", size: 374000}
111{code: "tg", size: 371000}
112{code: "km", size: 362000}
113{code: "or", size: 349000}
114{code: "yo", size: 349000}
115{code: "lez", size: 326000}
116{code: "fy", size: 318000}
117{code: "rue", size: 316000}
118{code: "ku", size: 310000}
119{code: "vec", size: 295000}
120{code: "av", size: 289000}
121{code: "io", size: 287000}
122{code: "pnb", size: 286000}
123{code: "scn", size: 274000}
124{code: "as", size: 270000}
125{code: "ia", size: 269000}
126{code: "nds", size: 268000}
127{code: "qu", size: 263000}
128{code: "new", size: 243000}
129{code: "ang", size: 237000}
130{code: "krc", size: 235000}
131{code: "lmo", size: 233000}
132{code: "hif", size: 228000}
133{code: "ilo", size: 223000}
134{code: "os", size: 220000}
135{code: "fo", size: 212000}
136{code: "ht", size: 206000}
137{code: "bo", size: 205000}
138{code: "sa", size: 202000}
139{code: "li", size: 199000}
140{code: "gd", size: 194000}
141{code: "bh", size: 190000}
142{code: "zh-classical", size: 189000}
143{code: "nah", size: 185000}
144{code: "mg", size: 184000}
145{code: "diq", size: 177000}
146{code: "vo", size: 177000}
147{code: "dsb", size: 174000}
148{code: "pms", size: 174000}
149{code: "hsb", size: 170000}
150{code: "lo", size: 170000}
151{code: "bat-smg", size: 169000}
152{code: "bxr", size: 169000}
153{code: "myv", size: 166000}
154{code: "fiu-vro", size: 166000}
155{code: "tk", size: 165000}
156{code: "gn", size: 159000}
157{code: "map-bms", size: 150000}
158{code: "nap", size: 150000}
159{code: "nds-nl", size: 147000}
160{code: "gv", size: 147000}
161{code: "crh", size: 143000}
162{code: "wa", size: 142000}
163{code: "vls", size: 141000}
164{code: "hak", size: 139000}
165{code: "gan", size: 138000}
166{code: "eml", size: 138000}
167{code: "ace", size: 135000}
168{code: "mzn", size: 134000}
169{code: "frp", size: 134000}
170{code: "bcl", size: 133000}
171{code: "tyv", size: 133000}
172{code: "frr", size: 131000}
173{code: "ksh", size: 125000}
174{code: "pam", size: 125000}
175{code: "fur", size: 125000}
176{code: "kv", size: 124000}
177{code: "bpy", size: 124000}
178{code: "ug", size: 124000}
179{code: "stq", size: 122000}
180{code: "sd", size: 122000}
181{code: "mt", size: 122000}
182{code: "min", size: 119000}
183{code: "nrm", size: 116000}
184{code: "lad", size: 111000}
185{code: "lij", size: 109000}
186{code: "cdo", size: 109000}
187{code: "gom", size: 108000}
188{code: "co", size: 106000}
189{code: "dv", size: 106000}
190{code: "bug", size: 104000}
191{code: "kw", size: 104000}
192{code: "szl", size: 103000}
193{code: "jbo", size: 101000}
194{code: "cbk-zam", size: 101000}
195{code: "ln", size: 98000}
196{code: "vep", size: 97000}
197{code: "mai", size: 96000}
198{code: "ab", size: 95000}
199{code: "se", size: 94000}
200{code: "sc", size: 94000}
201{code: "pcd", size: 92000}
202{code: "ext", size: 91000}
203{code: "st", size: 91000}
204{code: "sn", size: 90000}
205{code: "ay", size: 90000}
206{code: "kab", size: 89000}
207{code: "rw", size: 88000}
208{code: "arc", size: 87000}
209{code: "bjn", size: 86000}
210{code: "xal", size: 85000}
211{code: "kaa", size: 84000}
212{code: "zu", size: 82000}
213{code: "mi", size: 82000}
214{code: "lbe", size: 81000}
215{code: "ie", size: 81000}
216{code: "ha", size: 80000}
217{code: "pdc", size: 80000}
218{code: "mwl", size: 80000}
219{code: "om", size: 78000}
220{code: "kbd", size: 76000}
221{code: "pap", size: 74000}
222{code: "mrj", size: 73000}
223{code: "nov", size: 73000}
224{code: "nv", size: 73000}
225{code: "nso", size: 72000}
226{code: "zea", size: 72000}
227{code: "koi", size: 72000}
228{code: "cu", size: 67000}
229{code: "roa-tara", size: 67000}
230{code: "kl", size: 62000}
231{code: "pi", size: 62000}
232{code: "rm", size: 61000}
233{code: "iu", size: 61000}
234{code: "pih", size: 60000}
235{code: "pag", size: 60000}
236{code: "bi", size: 60000}
237{code: "rmy", size: 59000}
238{code: "na", size: 57000}
239{code: "chr", size: 57000}
240{code: "wo", size: 56000}
241{code: "tet", size: 56000}
242{code: "mdf", size: 54000}
243{code: "sm", size: 53000}
244{code: "tpi", size: 52000}
245{code: "haw", size: 51000}
246{code: "ny", size: 50000}
247{code: "roa-rup", size: 49000}
248{code: "fj", size: 49000}
249{code: "ki", size: 48000}
250{code: "za", size: 48000}
251{code: "pnt", size: 48000}
252{code: "tn", size: 47000}
253{code: "kg", size: 47000}
254{code: "xh", size: 47000}
255{code: "glk", size: 47000}
256{code: "to", size: 46000}
257{code: "chy", size: 46000}
258{code: "ff", size: 46000}
259{code: "sg", size: 45000}
260{code: "ik", size: 44000}
261{code: "ts", size: 44000}
262{code: "got", size: 43000}
263{code: "bm", size: 43000}
264{code: "ss", size: 43000}
265{code: "tw", size: 42000}
266{code: "ti", size: 42000}
267{code: "ak", size: 41000}
268{code: "ch", size: 41000}
269{code: "tum", size: 41000}
270{code: "ks", size: 39000}
271{code: "srn", size: 39000}
272{code: "ltg", size: 38000}
273{code: "lg", size: 38000}
274{code: "mo", size: 38000}
275{code: "rn", size: 37000}
276{code: "ee", size: 37000}
277{code: "dz", size: 36000}
278{code: "ve", size: 36000}
279{code: "ty", size: 35000}
280{code: "cr", size: 28000}
281{code: "aa", size: 19000}
282{code: "ng", size: 15000}
283{code: "kr", size: 14000}
284{code: "cho", size: 13000}
285{code: "mh", size: 11000}
286{code: "hz", size: 11000}
287{code: "mus", size: 9600}
288{code: "ho", size: 8600}
289{code: "kj", size: 7700}
290{code: "ii", size: 6800}
}

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
DeclinedNone
OpenNone
Resolveddr0ptp4kt
DuplicateJhernandez
Duplicatedr0ptp4kt
OpenNone
ResolvedJdlrobson
ResolvedJdlrobson
Resolvedphuedx
ResolvedJdlrobson
ResolvedJhernandez
ResolvedJdlrobson
ResolvedJdlrobson

Event Timeline

Jdlrobson created this task.Jun 1 2016, 6:53 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 1 2016, 6:53 PM
Jdlrobson updated the task description. (Show Details)Jun 1 2016, 6:56 PM
dr0ptp4kt triaged this task as High priority.Jun 1 2016, 8:42 PM
dr0ptp4kt added a project: Readers-Web-Backlog.
Jdlrobson updated the task description. (Show Details)Jun 1 2016, 9:03 PM
Jdlrobson moved this task from 2016-17 Q2 to Triaged but Future on the Readers-Web-Backlog board.
dr0ptp4kt renamed this task from Deploy lazy loaded images to a larger wiki to Deploy lazy loaded images, lazy loaded images + references to a couple larger wikis.Jun 14 2016, 5:01 PM
dr0ptp4kt set the point value for this task to 1.Jun 14 2016, 5:05 PM
Jdlrobson updated the task description. (Show Details)Jun 27 2016, 4:55 PM
Jdlrobson updated the task description. (Show Details)Jul 5 2016, 4:26 PM
Jdlrobson claimed this task.Jul 5 2016, 4:37 PM
Jdlrobson moved this task from To Do to Doing on the Reading-Web-Sprint-76-Retrosprekfast board.
Jdlrobson updated the task description. (Show Details)Jul 12 2016, 12:18 AM

This was deployed to Japanese Wiki here: https://gerrit.wikimedia.org/r/#/c/297462 (apologies for not tagging). Data crunching underway.

I want to run some analysis on Tagalog Wikipedia before I deploy to Thai (hopefully I'll be able to do so tomorrow afternoon). Sorry for delay.

Change 298543 had a related patch set uploaded (by Jdlrobson):
Enable lazy loaded references and images on Thai wikipedia

https://gerrit.wikimedia.org/r/298543

I had a look at Tagalog Wikipedia. Analysis of a week of data shows generally speed is improving modestly. In the last month there were 272 error events according to logstash on tlwiki, none of which were related to lazy loading references so I'm giving this the all clear...

Change 298543 merged by jenkins-bot:
Enable lazy loaded references and images on Thai wikipedia

https://gerrit.wikimedia.org/r/298543

Mentioned in SAL [2016-07-12T23:33:19Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Enable lazy loaded references and images on Thai wikipedia (T136731) (duration: 00m 38s)

Jdlrobson closed this task as Resolved.Jul 12 2016, 11:46 PM

Verified and signed off

Jdlrobson updated the task description. (Show Details)Jul 12 2016, 11:46 PM